# $Revision: 1.20 $, $Date: 2011/02/11 08:28:56 $
Summary:	sshguard - protect hosts from the plague of brute force attacks against SSH
Summary(pl.UTF-8):	sshguard - chroni hosty przed plagą ataków brute force na serwer SSH
Name:		sshguard
Version:	1.5
Release:	1
License:	BSD
Group:		Applications
Source0:	http://downloads.sourceforge.net/sshguard/%{name}-%{version}.tar.bz2
# Source0-md5:	11b9f47f9051e25bdfe84a365c961ec1
URL:		http://sshguard.sourceforge.net/
Patch0:		%{name}-iptables.patch
Patch1:		%{name}-getopt.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires(post,postun):	iptables
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sshguard protects hosts from the plague of brute force attacks against
SSH. Unlike many similar tools written in interpreted languages, it's
independent, fast, and lightweight because it's completely written in
C.

%description -l pl.UTF-8
sshguard chroni hosty przed plagą ataków brute force na serwer SSH. W
przeciwieństwie do wielu podobnych narzędzi napisanych w
interpretowanych językach, jest niezależny, szybki i lekki, ponieważ
jest napisany w C.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--with-iptables=/usr/sbin/iptables \
	--with-firewall=iptables
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
iptables -N sshguard

%postun
iptables -X sshguard

%files
%defattr(644,root,root,755)
%doc README examples/whitelistfile.example
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/sshguard.8*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sshguard.spec,v $
Revision 1.20  2011/02/11 08:28:56  lisu
- up to final 1.5 (merged with DEVEL)

Revision 1.19.2.6  2010/08/09 11:42:22  lisu
- 1.5rc4

Revision 1.19.2.5  2010/05/10 14:44:35  lisu
- 1.5rc3

Revision 1.19.2.4  2010/04/13 07:10:21  lisu
- up to 1.5rc2

Revision 1.19.2.3  2010/03/02 14:39:16  lisu
- updated to 1.5rc1

Revision 1.19.2.2  2010/02/15 09:59:54  lisu
- up to 1.5beta3
- adapter

Revision 1.19.2.1  2010/01/28 11:25:34  lisu
- up to 1.5beta2

Revision 1.19  2009/09/23 14:37:10  lisu
- up to final 1.4
- merge

Revision 1.18.2.5  2009/07/17 09:50:40  lisu
- iptables requires in %%post and %%postun sections

Revision 1.18.2.4  2009/07/08 08:02:39  lisu
- adapterized

Revision 1.18.2.3  2009/07/08 07:57:43  lisu
- create new chain for sshguard iptables rules and remove it after uninstall (%%post and %%postun)

Revision 1.18.2.2  2009/07/07 07:53:50  lisu
- rpmbuild(macros) no longer required

Revision 1.18.2.1  2009/07/07 07:46:45  lisu
- up to 1.4rc5

Revision 1.18  2009/02/01 20:57:47  prism
- up to 1.4rc2

Revision 1.17  2008/09/19 06:36:56  paszczus
- updated to 1.2

Revision 1.16  2008/09/17 08:49:47  marcus
- add iptables patch

Revision 1.15  2008/09/16 18:38:04  marcus
- up to 1.1

Revision 1.14  2008/03/29 09:12:13  glen
- remove, not to leave old trash around

Revision 1.13  2008-03-28 23:03:05  agaran
- python isn't needed now, (no scons, no python dep)
- package README and whitelistexample

Revision 1.12  2007-06-19 18:48:49  qboosh
- cleanup, missing BRs

Revision 1.11  2007/06/19 18:41:28  rotom
- up to 1.0
- no more scons needed
- man added

Revision 1.10  2007/04/16 23:25:21  agaran
- merged include patch from AC-branch, added /sbin/iptables fix

Revision 1.9  2007/03/16 17:19:49  qboosh
- typo, caps

Revision 1.8  2007/03/07 10:21:45  qrczak
- Fixed Polish description.

Revision 1.7  2007/03/07 10:10:01  glen
- macros for %scons

Revision 1.6  2007/03/07 10:08:59  shadzik
- %{__scons} -> %scons

Revision 1.5  2007/03/07 09:54:26  spider
- typo

Revision 1.4  2007/03/07 09:28:50  shadzik
- BR: sed >= 4.0
- better installation
- use %{__scons} not python scons.py
- rel 1

Revision 1.3  2007/03/07 08:45:23  shadzik
- BRs: rpm-pythonprov and rpmbuild(macros)

Revision 1.2  2007/03/07 08:30:43  shadzik
- install vs. cp, install wins

Revision 1.1  2007/03/07 08:06:20  spider
- init
- nfy
- check readme file
